/**
 * 荣誉奖励
 */

export default {
  id: 'application_info_honor',
  title: '荣誉奖励',
  visible() {
    return this.tabActive !== 'application_info_first'
  },
  get: {
    action: '/api/enrollment/v1.0/application-materials/1005',
    callback(data) {
      this.form.options.disabled = data.data.material.submission_status === 'SUBMITTED'
      let list = data.data.material.honors || []
      return list.length ? list : [{}]
    }
  },
  update: {
    action: '/api/enrollment/v1.0/application-materials/1005/put',
    beforeRequest(data) {
      const honors = data.map(item => {
        return ['time', 'title', 'institution_cn'].reduce((result, key) => {
          result[key] = item[key]
          return result
        }, {})
      })
      return { honors }
    }
  },
  form: {
    prev: { to: { query: { active: 'application_info', tab: 'application_info_training' } } },
    next: { to: { query: { active: 'application_tjx' } } },
    hasAdd: true,
    options: {
      labelWidth: '140px'
    },
    items: [
      {
        type: 'v-datepicker',
        label: '获取时间',
        model: 'time',
        attrs: { type: 'date', valueFormat: 'yyyy-MM-dd', placeholder: '请选择获取时间' },
        rules: [{ required: true, message: '请选择获取时间', trigger: 'blur' }]
      },
      {
        type: 'v-input',
        label: '荣誉奖励',
        model: 'title',
        attrs: { placeholder: '请输入荣誉奖励' },
        rules: [{ required: true, message: '请输入荣誉奖励', trigger: 'blur' }]
      },
      {
        type: 'v-input',
        label: '证书颁发机构',
        model: 'institution_cn',
        rules: [{ required: true, message: '请输入证书颁发机构', trigger: 'blur' }]
      }
    ]
  }
}
